#include "AudioStream.h"

AudioStream::AudioStream ()
{
  refCount = 0;
  musicChunk=NULL;
}

AudioStream::~AudioStream ()
{
}

void AudioStream::incRefCount ()
{
  if (refCount < 2 ^ 32)
    refCount ++;
}

void AudioStream::decRefCount ()
{
  if (refCount > 0)
    refCount --;
}

uint32_t AudioStream::getRefCount ()
{
  return refCount;
}

Mix_Music * AudioStream::getStream()
{
  return musicChunk;
}

void AudioStream::setStream (Mix_Music* sam)
{
  musicChunk=sam;
}
